Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon.jdom
Class NodeWrapper

    java.lang.Object
      |
      +--com.icl.saxon.jdom.NodeWrapper

All Implemented Interfaces:
  NodeInfo, javax.xml.transform.Source

Direct Known Subclasses:
  DocumentWrapper

public class NodeWrapper
extends java.lang.Object
implements NodeInfo

A node in the XML parse tree representing an XML element, character content, or attribute.

This is the top class in the interface hierarchy for nodes; see NodeImpl for the implementation hierarchy.

Field Summary
`protected DocumentWrapper` | `docWrapper`
`protected int` | `index`
`protected java.lang.Object` | `node`
`protected short` | `nodeType`
`protected NodeWrapper` | `parent`

Fields inherited from interface com.icl.saxon.om.NodeInfo
`ATTRIBUTE, COMMENT, ELEMENT, NAMESPACE, NODE, NONE, NUMBER_OF_TYPES, PI, ROOT, TEXT`

Constructor Summary
`NodeWrapper(java.lang.Object node, NodeWrapper parent, int index)`

Method Summary
`int` | `compareOrder(NodeInfo other)` Determine the relative position of this node and another node, in document order.
`void` | `copy(Outputter out)` Copy this node to a given outputter (deep copy)
`void` | `copyStringValue(Outputter out)` Copy the string-value of this node to a given outputter
`java.lang.String` | `generateId()` Get a character string that uniquely identifies this node. Note: a.isSameNode(b) if and only if generateId(a)==generateId(b)
`java.lang.String` | `getAttributeValue(int fingerprint)` Get the value of a given attribute of this node
`java.lang.String` | `getAttributeValue(java.lang.String uri, java.lang.String localName)` Find the value of a given attribute of this node.
`java.lang.String` | `getBaseURI()` Get the Base URI for the node, that is, the URI used for resolving a relative URI contained in the node.
`java.lang.String` | `getDisplayName()` Get the display name of this node.
`DocumentInfo` | `getDocumentRoot()` Get the root (document) node
`AxisEnumeration` | `getEnumeration(byte axisNumber, NodeTest nodeTest)` Return an enumeration over the nodes reached by the given axis from this node
`int` | `getFingerprint()` Get fingerprint.
`int` | `getLineNumber()` Get line number
`java.lang.String` | `getLocalName()` Get the local part of the name of this node.
`int` | `getNameCode()` Get name code.
`java.lang.Object` | `getNode()` Get the underlying JDOM node
`short` | `getNodeType()` Return the type of node.
`NodeInfo` | `getParent()` Get the NodeInfo object representing the parent of this node
`java.lang.String` | `getPrefix()` Get the prefix part of the name of this node.
`java.lang.String` | `getStringValue()` Return the string value of the node.
`java.lang.String` | `getSystemId()` Get the System ID for the node.
`java.lang.String` | `getURI()` Get the URI part of the name of this node.
`boolean` | `hasChildNodes()` Determine whether the node has any children.
`boolean` | `isSameNode(NodeInfo other)` Determine whether this is the same node as another node.
`NodeWrapper` | `makeWrapper(java.lang.Object node, NodeWrapper parent, int index)`
`void` | `outputNamespaceNodes(Outputter out, boolean includeAncestors)` Output all namespace nodes associated with this element.
`void` | `setSystemId(java.lang.String uri)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### node

    protected java.lang.Object node

### nodeType

    protected short nodeType

### parent

    protected NodeWrapper parent

### docWrapper

    protected DocumentWrapper docWrapper

### index

    protected int index

Constructor Detail

### NodeWrapper

    public NodeWrapper(java.lang.Object node,
                       NodeWrapper parent,
                       int index)

Method Detail

### makeWrapper

    public NodeWrapper makeWrapper(java.lang.Object node,
                                   NodeWrapper parent,
                                   int index)

### getNode

    public java.lang.Object getNode()

  Get the underlying JDOM node

### getNodeType

    public short getNodeType()

  Return the type of node.
  Specified by:
    `getNodeType` in interface `NodeInfo`
  Returns:
    one of the values Node.ELEMENT, Node.TEXT, Node.ATTRIBUTE, etc.

### isSameNode

    public boolean isSameNode(NodeInfo other)

  Determine whether this is the same node as another node.
  Note: a.isSameNode(b) if and only if generateId(a)==generateId(b)
  Specified by:
    `isSameNode` in interface `NodeInfo`
  Returns:
    true if this Node object and the supplied Node object represent the same node in the tree.

### getSystemId

    public java.lang.String getSystemId()

  Get the System ID for the node.
  Specified by:
    `getSystemId` in interface `NodeInfo`
  Returns:
    the System Identifier of the entity in the source document containing the node, or null if not known. Note this is not the same as the base URI: the base URI can be modified by xml:base, but the system ID cannot.

### setSystemId

    public void setSystemId(java.lang.String uri)

  Specified by:
    `setSystemId` in interface `javax.xml.transform.Source`

### getBaseURI

    public java.lang.String getBaseURI()

  Get the Base URI for the node, that is, the URI used for resolving a relative URI contained in the node. This will be the same as the System ID unless xml:base has been used.
  Specified by:
    `getBaseURI` in interface `NodeInfo`

### getLineNumber

    public int getLineNumber()

  Get line number
  Specified by:
    `getLineNumber` in interface `NodeInfo`
  Returns:
    the line number of the node in its original source document; or -1 if not available

### compareOrder

    public int compareOrder(NodeInfo other)

  Determine the relative position of this node and another node, in document order. The other node will always be in the same document.
  Specified by:
    `compareOrder` in interface `NodeInfo`
  Parameters:
    `other` - The other node, whose position is to be compared with this node
  Returns:
    -1 if this node precedes the other node, +1 if it follows the other node, or 0 if they are the same node. (In this case, isSameNode() will always return true, and the two nodes will produce the same result for generateId())

### getStringValue

    public java.lang.String getStringValue()

  Return the string value of the node. The interpretation of this depends on the type of node. For an element it is the accumulated character content of the element, including descendant elements.
  Specified by:
    `getStringValue` in interface `NodeInfo`
  Returns:
    the string value of the node

### getNameCode

    public int getNameCode()

  Get name code. The name code is a coded form of the node name: two nodes with the same name code have the same namespace URI, the same local name, and the same prefix. By masking the name code with &0xfffff, you get a fingerprint: two nodes with the same fingerprint have the same local name and namespace URI.
  Specified by:
    `getNameCode` in interface `NodeInfo`
  See Also:
    `allocate`

### getFingerprint

    public int getFingerprint()

  Get fingerprint. The fingerprint is a coded form of the expanded name of the node: two nodes with the same name code have the same namespace URI and the same local name. A fingerprint of -1 should be returned for a node with no name.
  Specified by:
    `getFingerprint` in interface `NodeInfo`

### getLocalName

    public java.lang.String getLocalName()

  Get the local part of the name of this node. This is the name after the ":" if any.
  Specified by:
    `getLocalName` in interface `NodeInfo`
  Returns:
    the local part of the name. For an unnamed node, return an empty string.

### getPrefix

    public java.lang.String getPrefix()

  Get the prefix part of the name of this node. This is the name before the ":" if any.
  Specified by:
    `getPrefix` in interface `NodeInfo`
  Returns:
    the prefix part of the name. For an unnamed node, return an empty string.

### getURI

    public java.lang.String getURI()

  Get the URI part of the name of this node. This is the URI corresponding to the prefix, or the URI of the default namespace if appropriate.
  Specified by:
    `getURI` in interface `NodeInfo`
  Returns:
    The URI of the namespace of this node. For an unnamed node, return null. For a node with an empty prefix, return an empty string.

### getDisplayName

    public java.lang.String getDisplayName()

  Get the display name of this node. For elements and attributes this is [prefix:]localname. For unnamed nodes, it is an empty string.
  Specified by:
    `getDisplayName` in interface `NodeInfo`
  Returns:
    The display name of this node. For a node with no name, return an empty string.

### getParent

    public NodeInfo getParent()

  Get the NodeInfo object representing the parent of this node
  Specified by:
    `getParent` in interface `NodeInfo`

### getEnumeration

    public AxisEnumeration getEnumeration(byte axisNumber,
                                          NodeTest nodeTest)

  Return an enumeration over the nodes reached by the given axis from this node
  Specified by:
    `getEnumeration` in interface `NodeInfo`
  Parameters:
    `nodeType` - the type(s) of node to be included, e.g. NodeInfo.ELEMENT, NodeInfo.TEXT. The value NodeInfo.NODE means include any type of node.
    `nodeTest` - A pattern to be matched by the returned nodes
  Returns:
    a NodeEnumeration that scans the nodes reached by the axis in turn.

### getAttributeValue

    public java.lang.String getAttributeValue(java.lang.String uri,
                                              java.lang.String localName)

  Find the value of a given attribute of this node.
  This method is defined on all nodes to meet XSL requirements, but for nodes other than elements it will always return null.
  Specified by:
    `getAttributeValue` in interface `NodeInfo`
  Parameters:
    `uri` - the namespace uri of an attribute ("" if no namespace)
    `localname` - the local name of the attribute
  Returns:
    the value of the attribute, if it exists, otherwise null

### getAttributeValue

    public java.lang.String getAttributeValue(int fingerprint)

  Get the value of a given attribute of this node
  Specified by:
    `getAttributeValue` in interface `NodeInfo`
  Parameters:
    `fingerprint` - The fingerprint of the attribute name
  Returns:
    the attribute value if it exists or null if not

### getDocumentRoot

    public DocumentInfo getDocumentRoot()

  Get the root (document) node
  Specified by:
    `getDocumentRoot` in interface `NodeInfo`
  Returns:
    the DocumentInfo representing the containing document

### hasChildNodes

    public boolean hasChildNodes()

  Determine whether the node has any children.
  Note: the result is equivalent to
  getEnumeration(Axis.CHILD, AnyNodeTest.getInstance()).hasMoreElements()
  Specified by:
    `hasChildNodes` in interface `NodeInfo`

### generateId

    public java.lang.String generateId()

  Get a character string that uniquely identifies this node.
  Note: a.isSameNode(b) if and only if generateId(a)==generateId(b)
  Specified by:
    `generateId` in interface `NodeInfo`
  Returns:
    a string that uniquely identifies this node, within this document. The calling code prepends information to make the result unique across all documents.

### copy

    public void copy(Outputter out)
              throws javax.xml.transform.TransformerException

  Copy this node to a given outputter (deep copy)
  Specified by:
    `copy` in interface `NodeInfo`

### copyStringValue

    public void copyStringValue(Outputter out)
                         throws javax.xml.transform.TransformerException

  Copy the string-value of this node to a given outputter
  Specified by:
    `copyStringValue` in interface `NodeInfo`

### outputNamespaceNodes

    public void outputNamespaceNodes(Outputter out,
                                     boolean includeAncestors)
                              throws javax.xml.transform.TransformerException

  Output all namespace nodes associated with this element. Does nothing if the node is not an element.
  Specified by:
    `outputNamespaceNodes` in interface `NodeInfo`
  Parameters:
    `out` - The relevant outputter
    `includeAncestors` - True if namespaces declared on ancestor elements must be output; false if it is known that these are already on the result tree

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD